# Generated by Django 2.2 on 2021-01-16 17:39

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('gigs', '0001_initial'),
        ('configs', '0001_initial'),
        ('masters', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='FinanceTransaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('voucher_no', models.CharField(max_length=30)),
                ('voucher_date', models.DateField()),
                ('approved_date', models.DateField(null=True)),
                ('approved_remark', models.CharField(max_length=500)),
                ('RefID', models.IntegerField(null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('approved_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='finance_transaction_approved_by', to='configs.City')),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='finance_transaction_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='finance_transaction_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='finance_transaction_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'fin_tran',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('amount', models.DecimalField(decimal_places=2, max_digits=9)),
                ('extra_service_amount', models.DecimalField(decimal_places=2, max_digits=9)),
                ('extra_service_custom_amount', models.DecimalField(decimal_places=2, max_digits=9)),
                ('service_fee', models.DecimalField(decimal_places=2, max_digits=9)),
                ('total_amount', models.DecimalField(decimal_places=2, max_digits=9)),
                ('delivery_time', models.IntegerField()),
                ('billing_address_line1', models.CharField(max_length=200, null=True)),
                ('billing_address_line2', models.CharField(max_length=200, null=True)),
                ('billing_landmark', models.CharField(max_length=200, null=True)),
                ('billing_pincode', models.CharField(max_length=6, null=True)),
                ('shipping_address_line1', models.CharField(max_length=200, null=True)),
                ('shipping_address_line2', models.CharField(max_length=200, null=True)),
                ('shipping_landmark', models.CharField(max_length=200, null=True)),
                ('shipping_pincode', models.CharField(max_length=6, null=True)),
                ('order_cancel_reason_other', models.CharField(max_length=200, null=True)),
                ('order_payment_status', models.CharField(max_length=200, null=True)),
                ('delivered_date', models.DateTimeField(null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('billing_city', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_billing_city_id', to='configs.City')),
                ('buyer', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_buyer_id', to=settings.AUTH_USER_MODEL)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('gig', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_modified_by', to=settings.AUTH_USER_MODEL)),
                ('order_cancel_reason', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='configs.OrderCancelReason')),
                ('order_status', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.OrderStatus')),
                ('seller', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_seller_id', to=settings.AUTH_USER_MODEL)),
                ('shipping_city', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_shiping_city_id', to='configs.City')),
            ],
            options={
                'db_table': 'order',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderGigRequirements',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('is_mandatory', models.BooleanField()),
                ('question', models.CharField(max_length=4000)),
                ('is_multiselect', models.BooleanField()),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='orders.Order')),
                ('question_form', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.QuestionForm')),
            ],
            options={
                'db_table': 'order_gig_requirement',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderSubCategoryPriceDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('value', models.DecimalField(decimal_places=2, max_digits=9)),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='orders.Order')),
                ('sub_category_price_scope', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategoryPriceScope')),
                ('sub_category_price_scope_dtl', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategoryPriceScopeDetails')),
            ],
            options={
                'db_table': 'order_gig_sub_category_price_dtl',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderRating',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seller_feedback', models.CharField(max_length=500)),
                ('buyer_feedback', models.CharField(max_length=500)),
                ('buyer_rating', models.IntegerField(null=True)),
                ('seller_rating', models.IntegerField(null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('buyer', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_rating_buyer', to=settings.AUTH_USER_MODEL)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_rating_created_by', to=settings.AUTH_USER_MODEL)),
                ('gig', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('order', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='orders.Order')),
                ('seller', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_rating_seller', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'order_rating',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderPriceExtraServiceCustom',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('title', models.CharField(max_length=100)),
                ('description', models.CharField(max_length=100)),
                ('extra_price', models.DecimalField(decimal_places=2, max_digits=9, null=True)),
                ('extra_days', models.IntegerField(null=True)),
                ('quantity', models.IntegerField()),
                ('amount', models.DecimalField(decimal_places=2, max_digits=9)),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='orders.Order')),
            ],
            options={
                'db_table': 'order_gig_price_extra_service_custom',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderPriceExtraService',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('extra_days', models.IntegerField()),
                ('price', models.DecimalField(decimal_places=2, max_digits=9)),
                ('quantity', models.IntegerField()),
                ('amount', models.DecimalField(decimal_places=2, max_digits=9)),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='orders.Order')),
                ('price_extra_service', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.PriceExtraService')),
            ],
            options={
                'db_table': 'order_gig_price_extra_service',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderPayment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('razorpay_order_id', models.CharField(max_length=200)),
                ('razorpay_payment_no', models.CharField(max_length=200, null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_payment_created_by', to=settings.AUTH_USER_MODEL)),
                ('from_user', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_payment_from_user', to=settings.AUTH_USER_MODEL)),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='orders.Order')),
                ('order_status', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.OrderStatus')),
                ('to_user', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_payment_to_user', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'order_payment',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderGigRequirementsDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('description', models.CharField(max_length=100)),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='orders.Order')),
                ('order_gig_requirement', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='orders.OrderGigRequirements')),
            ],
            options={
                'db_table': 'order_gig_requirement_dtl',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderGigPrice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('price', models.DecimalField(decimal_places=2, max_digits=9)),
                ('quantity', models.IntegerField()),
                ('amount', models.DecimalField(decimal_places=2, max_digits=9)),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='orders.Order')),
                ('price_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.PriceType')),
            ],
            options={
                'db_table': 'order_gig_price',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderDigitalDownload',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('filename', models.CharField(max_length=256)),
                ('buyer_download', models.BooleanField(null=True)),
                ('buyer_download_date', models.DateTimeField(null=True)),
                ('file_size', models.CharField(max_length=50)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('buyer', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_payment_buyer', to=settings.AUTH_USER_MODEL)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_digital_created_by', to=settings.AUTH_USER_MODEL)),
                ('gig', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='orders.Order')),
                ('seller', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_payment_seller', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'order_digital_download',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='OrderComment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('comment', models.CharField(max_length=500, null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('comment_ref', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='orders.OrderComment')),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='order_comment_created_by', to=settings.AUTH_USER_MODEL)),
                ('gig', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('order', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='orders.Order')),
                ('order_digital_download', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='orders.OrderDigitalDownload')),
            ],
            options={
                'db_table': 'order_comment',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='FinanceTransactionDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('gen_ledger_id', models.IntegerField()),
                ('gen_ledger_name', models.CharField(max_length=100)),
                ('amount', models.DecimalField(decimal_places=2, max_digits=9)),
                ('fin_tran', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='orders.FinanceTransaction')),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='orders.Order')),
            ],
            options={
                'db_table': 'fin_tran_dtl',
                'default_permissions': (),
            },
        ),
        migrations.AddField(
            model_name='financetransaction',
            name='order',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='orders.Order'),
        ),
        migrations.AddField(
            model_name='financetransaction',
            name='order_payment',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='orders.OrderPayment'),
        ),
        migrations.AddField(
            model_name='financetransaction',
            name='voucher_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='configs.VoucherType'),
        ),
    ]
